/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector;

import java.util.zip.Deflater;

/**
 * Collector constants.
 *
 * @author Daniel Cavalcanti
 */
public final class CollectorConstants {
    
    /**
     * Flag that indicates whether collector messages should be encrypted.
     */
    public static final String ENCRYPT_HEADER = "encrypt";
    
    /**
     * Flag that indicates if a collector message is encrypted.
     */
    public static final String ENCRYPTED_HEADER = "encrypted";
    
    /**
     * The encryption algorithm.
     */
    public static final String ENCRYPTION_ALGORITHM = "encryption_algorithm";
    
    /**
     * The AES encryption algorithm.
     */
    public static final String ENCRYPTION_ALGORITHM_AES = "aes";
    
    /**
     * The Blowfish encryption algorithm.
     */
    public static final String ENCRYPTION_ALGORITHM_BLOWFISH = "blowfish";
    
    /**
     * The DES encryption algorithm.
     */
    public static final String ENCRYPTION_ALGORITHM_DES = "des";
    
    /**
     * The Triple DES encryption algorithm.
     */
    public static final String ENCRYPTION_ALGORITHM_TRIPLE_DES = "triple_des";
    
    /**
     * The encryption key.
     */
    public static final String ENCRYPTION_KEY = "encryption_key";
    
    /**
     * Flag that indicates whether collector messages should be compressed.
     */
    public static final String COMPRESS_HEADER = "compress";
    
    /**
     * Flag that indicates if a collector message is compressed.
     */
    public static final String COMPRESSED_HEADER = "compressed";
    
    /**
     * The AsnFormat property name for legacy messages.
     */
    public static final String ASN_FORMAT = "AsnFormat";
    
    /**
     * The Asn XPath property name for legacy messages.
     */
    public static final String ASN_XPATH = "AsnXPath";
    
    /**
     * The sigital signature generation algorithm.
     */
    public static final String DIGEST_ALGORITHM = "MD5";
    
    /**
     * The digital signature.
     */
    public static final String DIGITAL_SIGNATURE = "digital_signature";
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    // Does not allow instantiation of this class.
    private CollectorConstants() {}
    
}
