package com.localmatters.flexiq.security.store;

import junit.framework.*;
import com.localmatters.flexiq.security.CipherAlgorithmEnum;
import com.localmatters.flexiq.security.CipherService;
import com.localmatters.flexiq.security.CipherServiceBase;
import com.localmatters.flexiq.security.store.Passwords.Service;
import com.localmatters.flexiq.security.store.Passwords.Service.User;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.security.GeneralSecurityException;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import org.apache.commons.codec.binary.Base64;

/**
 *
 * @author Daniel Cavalcanti
 */
public class FileStoreServiceTest
    extends TestCase {
    
    private static final String SECURITY_STORE_FILE = "security-store.xml";
    private static final CipherAlgorithmEnum CIPHER_ALGORITHM = CipherAlgorithmEnum.TRIPLE_DES;
    private CipherService cipher;
    
    public FileStoreServiceTest(String testName) {
        super(testName);
    }
    
    protected void setUp()
    throws Exception {
        cipher = CipherServiceBase.getInstance(CIPHER_ALGORITHM);
    }
    
    protected void tearDown()
    throws Exception {
    }
    
    
    public void test()
    throws Exception {
        
        SecurityStoreService service = new FileStoreService(SECURITY_STORE_FILE, cipher);
        
        service.createService("ServiceA");
        service.createService("ServiceB");
        System.out.println(String.valueOf(service.getServiceNames()));
        
        service.createUser("ServiceA", "UserA", "123456");
        service.createUser("ServiceA", "UserB", "654321");
        System.out.println(String.valueOf(service.getUsernames("ServiceA")));
        System.out.println(String.valueOf(service.getPassword("ServiceA", "UserA")));
        
        service.persist();
        
    }
    
}
